/**
 * AGUA Copyright (C) 2023  Atix Labs
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 * 
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

@import 'css/_variables.scss';
@import 'css/mixins/_fonts.scss';

.modalContainer {
  :global {
    .ant-modal-body {
      padding: 0;
    }

    .ant-modal-confirm-title {
      padding-inline: 4.1563rem;
      padding-top: 2rem;
    }

    .ant-modal-confirm-content {
      margin-top: 1rem;
    }

    .ant-modal-confirm-btns {
      margin: 0;
      width: 100%;
      text-align: Center;
      margin-bottom: 2rem;
    }
  }
}

.titleContainer {
  display: flex;
  flex-direction: column;
  align-items: center;
  row-gap: 1rem;

  &__closeIcon {
    position: absolute;
    top: 12px;
    right: 12px;
    font-size: 1rem;
    color: $coa-grey-100;
  }

  &__icon {
    color: $coa-primary;
  }

  &__title {
    @include primary-text(1.5rem, $coa-blue-100, 500);
  }
}

.divider {
  margin-block: 2rem;
}

.button {
  background: $coa-primary;
  color: #fff;
  text-align: center;
  font-size: 0.875rem;
  font-style: normal;
  font-weight: 500;
  line-height: 16px;
  width: var(--width, fit-content);
  height: var(--height, fit-content);
  display: inline-flex;
  justify-content: center;
  align-items: center;

  &:focus {
    background: $coa-primary;
    opacity: 0.8;
  }
}

.description {
  color: $coa-grey-100;
  text-align: center;
  font-size: 0.875rem;
  font-style: normal;
  font-weight: 400;
  line-height: normal;
  padding-inline: 4.1563rem;
}
